summaryrefslogtreecommitdiffstats
path: root/core/modules/swiss/data/opt/openslx/scripts/systemd-load_swiss_keymaps
diff options
context:
space:
mode:
Diffstat (limited to 'core/modules/swiss/data/opt/openslx/scripts/systemd-load_swiss_keymaps')
-rwxr-xr-xcore/modules/swiss/data/opt/openslx/scripts/systemd-load_swiss_keymaps13
1 files changed, 13 insertions, 0 deletions
diff --git a/core/modules/swiss/data/opt/openslx/scripts/systemd-load_swiss_keymaps b/core/modules/swiss/data/opt/openslx/scripts/systemd-load_swiss_keymaps
new file mode 100755
index 00000000..aadb7a8b
--- /dev/null
+++ b/core/modules/swiss/data/opt/openslx/scripts/systemd-load_swiss_keymaps
@@ -0,0 +1,13 @@
+#!/bin/ash
+# Script serves as container script for a systemd-call due to the buggyness of several
+# loadkeys-implementations <= kbd (Linux keyboard tools) 1.15.3.
+# This bug can be detected through failure of the command pipe 'dumpkeys|loadkeys' yielding
+# the message "unknown keysym 'compose'.
+
+loadkeys /opt/openslx/keymaps/qwertz_de_CH-latin1.map # insert a keymap without compose lines
+ERR=$?
+
+# if at this point the second keymap insertion failed we pass the errorlevel to
+# systemd - we cannot do more at this point.
+exit $ERR
+